Genivia - wst__RequestSecurityTokenCollectionType Struct Reference

|  | Home | Documentation | wst__RequestSecurityTokenCollectionType Struct Reference updated Thu Apr 15 2021 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
wst__RequestSecurityTokenCollectionType Struct Reference

"http://docs.oasis-open.org/ws-sx/ws-trust/200512/":RequestSecurityTokenCollectionType is a complexType. More...

`#include <wst.h>`

Collaboration diagram for wst__RequestSecurityTokenCollectionType:
[legend]

## Public Attributes
$int | __sizeRequestSecurityToken
| Size of array of struct wst__RequestSecurityTokenType* is 2..unbounded. More...
struct wst__RequestSecurityTokenType * | RequestSecurityToken
| Array struct wst__RequestSecurityTokenType* of size 2..unbounded. More...

## Detailed Description

"http://docs.oasis-open.org/ws-sx/ws-trust/200512/":RequestSecurityTokenCollectionType is a complexType.

      The RequestSecurityTokenCollection (RSTC) element is used to provide multiple RST requests. One or more RSTR elements in an RSTRC element are returned in the response to the RequestSecurityTokenCollection.

struct wst__RequestSecurityTokenCollectionType operations:

- wst__RequestSecurityTokenCollectionType* soap_new_wst__RequestSecurityTokenCollectionType(struct soap*, int num) allocate and default initialize one or more values (array)
- soap_default_wst__RequestSecurityTokenCollectionType(struct soap*, wst__RequestSecurityTokenCollectionType*) default initialize members
- int soap_read_wst__RequestSecurityTokenCollectionType(struct soap*, wst__RequestSecurityTokenCollectionType*) deserialize from a source
- int soap_write_wst__RequestSecurityTokenCollectionType(struct soap*, wst__RequestSecurityTokenCollectionType*) serialize to a sink
- wst__RequestSecurityTokenCollectionType* soap_dup_wst__RequestSecurityTokenCollectionType(struct soap*, wst__RequestSecurityTokenCollectionType* dst, wst__RequestSecurityTokenCollectionType <em>src) returns deep copy of wst__RequestSecurityTokenCollectionType src into dst, copies the (cyclic) graph structure when a context is provided, or (cycle-pruned) tree structure with soap_set_mode(soap, SOAP_XML_TREE) (use soapcpp2 -Ec)
- soap_del_wst__RequestSecurityTokenCollectionType(wst__RequestSecurityTokenCollectionType) deep deletes wst__RequestSecurityTokenCollectionType data members, use only on dst after soap_dup_wst__RequestSecurityTokenCollectionType(NULL, wst__RequestSecurityTokenCollectionType *dst, wst__RequestSecurityTokenCollectionType *src) (use soapcpp2 -Ed)

## Member Data Documentation

$int wst__RequestSecurityTokenCollectionType::__sizeRequestSecurityToken

Size of array of struct wst__RequestSecurityTokenType* is 2..unbounded.

struct wst__RequestSecurityTokenType* wst__RequestSecurityTokenCollectionType::RequestSecurityToken

Array struct wst__RequestSecurityTokenType* of size 2..unbounded.

The documentation for this struct was generated from the following file:

- wst.h